Margin Trading Outstanding (Weekly) (/markets/weekly_margin_interest)

You can get Weekly margin trading outstanding.

Overview

You can get the margin transaction balance (number of shares) for each stock as of the end of the week.

The data distributed is the same as that published on the following page but with limited historicals.

https://www.jpx.co.jp/english/markets/statistics-equities/margin/05.htmlarrow-up-right

Attention

circle-info
  • No retroactive adjustment will be made to the data that have undergone corporate action.

  • Data is not provided for weeks with two or fewer business days, such as year-end and New Year holidays.

  • Issues that are not listed on the Tokyo Stock Exchange (issues listed separately on local exchanges) are not provided.

Parameter and Response

In your request message, either "code" or "date" must be specified. Combination of parameters in the request and results are as below.

Get weekly margin trading outstandings

GET https://api.jquants-pro.com/v2/markets/weekly_margin_interest

Either "code" or "date" must be specified.

"*" Required.

Query Parameters

Name
Type
Description

code

String

issue code

(e.g. 27800 or 2780)

If a 4-character issue code is specified, only the data of common stock will be obtained for the issue on which both common and preferred stocks are listed.

from

String

starting point of data period

(e.g. 20210901 or 2021-09-01)

to

String

end point of data period

(e.g. 20210907 or 2021-09-07)

date

String

date of data

(e.g. 20210907 or 2021-09-07)

pagination_key

String

The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.

Headers

Name
Type
Description

Authorization*

String

Access key

Data Item

Variable
Description
Data type
Remark

Date

Record Date

String

YYYY-MM-DD Base date of margin trading outstandings(usually on Friday)

Code

issue code

String

ShortMarginOutstanding

Total margin trading (negotiable and standardized margin trading) weekend short positions

Number

LongMarginOutstanding

Total margin trading (negotiable and standardized margin trading) weekend long positions

Number

ShortNegotiableMarginOutstanding

Negotiable margin trading weekend short positions

Number

Negotiable part of the total margin trading weekend short positions

LongNegotiableMarginOutstanding

Negotiable margin trading weekend long positions

Number

Negotiable part of the total margin trading weekend long positions

ShortStandardizedMarginOutstanding

Standardized margin trading weekend short positions

Number

Standardized part of the total margin trading weekend short positions

LongStandardizedMarginOutstanding

Standardized margin positions weekend long positions

Number

Standardized part of the total margin trading weekend long positions

IssueType

Issue Classifications

String

1: Margin issues,

2: Loan issues,

3: Other issues(non-loan, non-margin)

CompanyName

Company Name (Japanese)

String

CompanyNameEnglish

Company Name (English)

String

Sector17Code

17-Sector code

String

Sector33Code

33-Sector code

String

ScaleCategory

TOPIX Scale category

String

MarketCode

Market segment code

String

MarginCode

Flags of margin and loan issues

String

1: Margin issues,

2: Loan issues,

3: Other issues(non-loan, non-margin)

Sample Code

Last updated